import * as t from "react";
import { executeValue as a } from "./utils/miscUtil.mjs";
function m(n) {
  var c = n.prefixCls, o = n.presets, l = n.onClick, e = n.onHover;
  return o.length ? /* @__PURE__ */ t.createElement("div", {
    className: "".concat(c, "-presets")
  }, /* @__PURE__ */ t.createElement("ul", null, o.map(function(r, v) {
    var s = r.label, u = r.value;
    return /* @__PURE__ */ t.createElement("li", {
      key: v,
      onClick: function() {
        return l == null ? void 0 : l(a(u));
      },
      onMouseEnter: function() {
        return e == null ? void 0 : e(a(u));
      },
      onMouseLeave: function() {
        return e == null ? void 0 : e(null);
      }
    }, s);
  }))) : null;
}
export {
  m as default
};
